Bug 783837 - Review Request: php-pecl-http - Extended HTTP support
Summary: Review Request: php-pecl-http - Extended HTTP support
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Runge
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-22 17:45 UTC by Remi Collet
Modified: 2013-11-22 12:59 UTC (History)
3 users (show)

Fixed In Version: php-pecl-http-2.0.0-0.6.dev7.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-16 21:15:50 UTC
mrunge: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Remi Collet 2012-01-22 17:45:14 UTC
Spec URL: https://raw.github.com/remicollet/remirepo/master/php-pecl-http/php-pecl-http.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-pecl-http-2.0.0-0.1.dev3.remi.src.rpm
Description: 
The HTTP extension aims to provide a convenient and powerful set of
functionality for major applications.

The HTTP extension eases handling of HTTP URLs, dates, redirects, headers
and messages in a HTTP context (both incoming and outgoing). It also provides
means for client negotiation of preferred language and charset, as well as
a convenient way to exchange arbitrary data with caching and resuming
capabilities.

Also provided is a powerful request and parallel interface.

Version 2 is completely incompatible to previous version.

Documentation : http://php.net/http

-- Notes to reviewer
Project name is pecl_http but extension name is http (really ugly...)
So I need to use both in the spec :(
I choose php-pecl-http mainly because php-pecl-pecl-http seems awfull

I want to keep Buildroot, %clean, ... to allow backport to old version, even if no more needed in fedora

As this package requires PHP 5.4.0, target if fedora 17 only

Comment 1 Remi Collet 2012-01-22 19:12:41 UTC
Minor improvement in Provides
https://github.com/remicollet/remirepo/commit/5adcb83ad5da986a360c82ba288cef35a4826b48

Comment 6 Matthias Runge 2012-03-01 11:51:26 UTC
I'll take this one

Comment 7 Matthias Runge 2012-03-01 12:07:13 UTC
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Package is not relocatable.
[x]: MUST Development (unversioned) .so files in -devel subpackage, if
     present.

==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
[x]: MUST Sources contain only permissible code or content.
[x]: MUST %config files are marked noreplace or the reason is justified.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files devel section. This is OK if
     packaging for EPEL5. Otherwise not needed
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[!]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST No %config files under /usr.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint php-pecl-http-devel-2.0.0-0.4.dev5.fc18.i686.rpm

php-pecl-http-devel.i686: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint php-pecl-http-2.0.0-0.4.dev5.fc18.i686.rpm

php-pecl-http.i686: W: spelling-error %description -l en_US charset -> char set, char-set, catharses
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint php-pecl-http-2.0.0-0.4.dev5.fc18.src.rpm

php-pecl-http.src: W: spelling-error %description -l en_US charset -> char set, char-set, catharses
php-pecl-http.src: W: file-size-mismatch pecl_http-2.0.0dev5.tgz = 123166, http://pecl.php.net/get/pecl_http-2.0.0dev5.tgz = 122160
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint php-pecl-http-debuginfo-2.0.0-0.4.dev5.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:

See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
See: http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
See: http://fedoraproject.org/wiki/Packaging/Guidelines#.25clean
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files devel section. This is OK if
     packaging for EPEL5. Otherwise not needed
See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
See: None


rpmlint php-pecl-http-devel-2.0.0-0.4.dev5.fc18.i686.rpm

php-pecl-http-devel.i686: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint php-pecl-http-2.0.0-0.4.dev5.fc18.i686.rpm

php-pecl-http.i686: W: spelling-error %description -l en_US charset -> char set, char-set, catharses
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint php-pecl-http-2.0.0-0.4.dev5.fc18.src.rpm

php-pecl-http.src: W: spelling-error %description -l en_US charset -> char set, char-set, catharses
php-pecl-http.src: W: file-size-mismatch pecl_http-2.0.0dev5.tgz = 123166, http://pecl.php.net/get/pecl_http-2.0.0dev5.tgz = 122160
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint php-pecl-http-debuginfo-2.0.0-0.4.dev5.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.



If you're not going to provide this for epel5, you should remove the buildroot, defattr, etc (according to the warnings from above).

No blocking issue found,

Package approved.

Comment 8 Remi Collet 2012-03-01 12:21:05 UTC
Thanks for the review.

New Package SCM Request
=======================
Package Name: php-pecl-http
Short Description: Extended HTTP support 
Owners: remi
Branches: f17
InitialCC:

Comment 9 Gwyn Ciesla 2012-03-02 02:19:03 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2012-03-02 18:27:35 UTC
php-pecl-http-2.0.0-0.5.dev6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/php-pecl-http-2.0.0-0.5.dev6.fc17

Comment 11 Fedora Update System 2012-03-05 20:59:52 UTC
php-pecl-http-2.0.0-0.5.dev6.fc17 has been pushed to the Fedora 17 testing repository.

Comment 12 Fedora Update System 2012-03-09 17:56:56 UTC
php-pecl-http-2.0.0-0.6.dev7.fc17 has been pushed to the Fedora 17 testing repository.

Comment 13 Fedora Update System 2012-03-16 21:15:50 UTC
php-pecl-http-2.0.0-0.6.dev7.fc17 has been pushed to the Fedora 17 stable repository.

Comment 14 Remi Collet 2013-11-22 10:57:10 UTC
Package Change Request
======================
Package Name: php-pecl-http
New Branches: el6
Owners: remi

Comment 15 Gwyn Ciesla 2013-11-22 12:59:45 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.